Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui.synchronize
Class AbstractSynchronizeScope

    java.lang.Object
      org.eclipse.team.ui.synchronize.AbstractSynchronizeScope

All Implemented Interfaces:
  ISynchronizeScope

Direct Known Subclasses:
  ResourceScope, WorkingSetScope, WorkspaceScope

public abstract class AbstractSynchronizeScope
extends Object
implements ISynchronizeScope

Abstract superclass of resource scopes for `SubscriberParticipant` instances.

Clients are not expected to subclass this class.

Since:
  3.0
See Also:
  `SubscriberParticipant`

Field Summary

Fields inherited from interface org.eclipse.team.ui.synchronize.ISynchronizeScope
`ROOTS`

Constructor Summary
`protected` | `AbstractSynchronizeScope()` Constuctor a scope from scratch
`protected` | `AbstractSynchronizeScope(IMemento memento)` Constuctor a scope from a previously saved state

Method Summary
`void` | `addPropertyChangeListener(IPropertyChangeListener listener)` Add a propety change listener that will get invoked when a property of the reciever cnahges.
`protected static ISynchronizeScope` | `createScope(IMemento settings)` Restore a scope from the given memento
`void` | `dispose()` Dispose of the scope when it is no longer needed.
`protected void` | `firePropertyChangedEvent(PropertyChangeEvent event)` Fires the given property change event to all registered listsners.
`protected void` | `fireRootsChanges()` Firs a change event for property `ISynchronizeScope.ROOTS` containing the new roots.
`protected void` | `init(IMemento memento)` Method invoked from the contructor which repopulats the fields of this scope
`void` | `removePropertyChangeListener(IPropertyChangeListener listener)` Remove a propety change listener.
`protected static void` | `saveScope(ISynchronizeScope scope, IMemento settings)` Save the scope to the given memento
`void` | `saveState(IMemento memento)` Persist the state of this scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.team.ui.synchronize.ISynchronizeScope
`getName, getRoots`

Constructor Detail

### AbstractSynchronizeScope

    protected AbstractSynchronizeScope()

  Constuctor a scope from scratch

### AbstractSynchronizeScope

    protected AbstractSynchronizeScope(IMemento memento)

  Constuctor a scope from a previously saved state

Method Detail

### saveScope

    protected static void saveScope(ISynchronizeScope scope,
                                    IMemento settings)

  Save the scope to the given memento

  Parameters:
    `scope` - a scope

### createScope

    protected static ISynchronizeScope createScope(IMemento settings)

  Restore a scope from the given memento

### addPropertyChangeListener

    public void addPropertyChangeListener(IPropertyChangeListener listener)

  Description copied from interface: `ISynchronizeScope`
  Add a propety change listener that will get invoked when a property of the reciever cnahges.

  Specified by:
    `addPropertyChangeListener` in interface `ISynchronizeScope`
  Parameters:
    `listener` -

### removePropertyChangeListener

    public void removePropertyChangeListener(IPropertyChangeListener listener)

  Description copied from interface: `ISynchronizeScope`
  Remove a propety change listener. Removing an unregistered listener has no effect.

  Specified by:
    `removePropertyChangeListener` in interface `ISynchronizeScope`
  Parameters:
    `listener` -

### dispose

    public void dispose()

  Description copied from interface: `ISynchronizeScope`
  Dispose of the scope when it is no longer needed.

  Specified by:
    `dispose` in interface `ISynchronizeScope`

### firePropertyChangedEvent

    protected void firePropertyChangedEvent(PropertyChangeEvent event)

  Fires the given property change event to all registered listsners.

  Parameters:
    `event` - the property change event to be fired

### fireRootsChanges

    protected void fireRootsChanges()

  Firs a change event for property `ISynchronizeScope.ROOTS` containing the new roots. The old roots are not provided in the event.

### saveState

    public void saveState(IMemento memento)

  Persist the state of this scope. Clients must persist enough additional state to know what type (i.e. subclass) of scope to be recreated.

  Parameters:
    `memento` - the memento into which the scope is to be saved

### init

    protected void init(IMemento memento)

  Method invoked from the contructor which repopulats the fields of this scope

  Parameters:
    `memento` - the memento into which the scope was previously saved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.